Bug 507862 - kickstart provisioning w/ rhncfg ISE
kickstart provisioning w/ rhncfg ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-24 11:09 EDT by wes hayutin
Modified: 2009-09-10 15:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-06-24 11:09:43 EDT
Description of problem:

6/23 rhel 5 selinux enforcing

recreate:
1. create a ks profile
2. check, on the system details page 
Enable RHN Satellite
Configuration
Management:

3. schedule kickstart


get

2009-06-24 10:53:42,001 [TP-Processor8] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/rhn].[action] - Servlet.service() for servlet action threw exception
com.redhat.rhn.common.security.PermissionException: The activation key '1-253d14a27f7195a87d9b637344d43206' needs  provisioning capabilities to be able to facilitate  the config channel functionality
	at com.redhat.rhn.domain.token.ActivationKey.checkProvisioning(ActivationKey.java:385)
	at com.redhat.rhn.domain.token.ActivationKey.setDeployConfigs(ActivationKey.java:179)
	at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.createKickstartActivationKey(KickstartScheduleCommand.java:907)
	at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.storeActivationKeyInfo(KickstartScheduleCommand.java:720)
	at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.store(KickstartScheduleCommand.java:585)
	at com.redhat.rhn.frontend.action.systems.virtualization.ProvisionVirtualizationWizardAction.runThird(ProvisionVirtualizationWizardAction.java:217)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:599)
	at com.redhat.rhn.frontend.struts.wizard.WizardStep.invoke(WizardStep.java:116)
	at com.redhat.rhn.frontend.struts.wizard.RhnWizardAction.dispatch(RhnWizardAction.java:104)
	at com.redhat.rhn.frontend.struts.wizard.RhnWizardAction.execute(RhnWizardAction.java:90)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
	at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:237)
	at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
	at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
	at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
	at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
	at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
	at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
	at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
	at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
	at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
	at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
	at java.lang.Thread.run(Thread.java:735)
[root@grandprix ~]#
Comment 1 wes hayutin 2009-06-24 12:12:55 EDT
The following exception occurred while executing this request:
POST /rhn/systems/details/virtualization/ProvisionVirtualizationWizard.do

Date:6/24/09 11:02:01 AM EDT
Headers:
  host: grandprix.rhndev.redhat.com
  user-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4
  accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  accept-language: en-us,en;q=0.5
  accept-encoding: gzip,deflate
  accept-charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Keep-Alive: 300
  connection: keep-alive
  referer: https://grandprix.rhndev.redhat.com/rhn/systems/details/virtualization/ProvisionVirtualizationWizard.do?sid=1000011465
  cookie: JSESSIONID=66DCE6277F1A304A2780ECC73CC7F956; rh_omni_tc=70160000000H4AjAAK; s_vi=[CS]v1|4A08325400002C5F-A3A09B600001ECF[CE]; __qca=1217363356-57180845-9397786; pxt-session-cookie=5695x6b749fef9c53d448dc3b51bbb4165d42
  content-type: application/x-www-form-urlencoded
  content-length: 389

Request:
Local Name = grandprix.rhndev.redhat.com
Server Name = grandprix.rhndev.redhat.com
Requested Session Id came from Cookie
Requested Session Valid = true
Session = org.apache.catalina.session.StandardSessionFacade@2e512e51[session=StandardSession[66DCE6277F1A304A2780ECC73CC7F956]]
Protocol = https
Request Locale = en_US
Request Character Encoding = UTF-8
Attribute Names = rhnActiveLang, javax.servlet.error.message, javax.servlet.jsp.jstl.fmt.timeZone.request, javax.servlet.request.key_size, kickstartScheduleWizardForm, javax.servlet.request.ssl_session, __sitemesh__page, javax.servlet.request.cipher_suite, org.apache.struts.action.MESSAGE, javax.servlet.error.exception, profile, javax.servlet.error.servlet_name, cobbler_id, org.apache.struts.action.MODULE, __sitemesh__filterapplied, javax.servlet.error.status_code, javax.servlet.error.request_uri, session, org.apache.struts.action.mapping.instance, requestedUri, 

Form Variables:
  date_year: 2009
  postKernelParamsType: profile
  sid: 1000011465
  virtBridge: xenbr2
  localStorageMegabytes: 5
  guestName: test1
  memoryAllocation: 512
  date_month: 5
  virtualCpus: 1
  wizardStep: third
  diskPath: /var/lib/xen/test1
  date_minute: 1
  cobbler_id: MTI0NTc4MjcwMy4wODcwOTg1NDIuMzgyODY
  date_day: 24
  targetProfileType: none
  kernelParamsType: profile
  scheduleAsap: 
  date_hour: 11
  proxyHost: 
  date_am_pm: 0


User Information:
User admin (id 1, org_id 1)

Exception:
javax.servlet.ServletException
        at org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:535)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:433)
        at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:237)
        at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
        at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
        at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
        at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:735)
Caused by: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
        at java.lang.reflect.Method.invoke(Method.java:599)
        at com.redhat.rhn.frontend.struts.wizard.WizardStep.invoke(WizardStep.java:116)
        at com.redhat.rhn.frontend.struts.wizard.RhnWizardAction.dispatch(RhnWizardAction.java:104)
        at com.redhat.rhn.frontend.struts.wizard.RhnWizardAction.execute(RhnWizardAction.java:90)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
        ... 40 more
Caused by: com.redhat.rhn.common.security.PermissionException: The activation key '1-09a19750436decd7aef16c4819091c13' needs  provisioning capabilities to be able to facilitate  the config channel functionality
        at com.redhat.rhn.domain.token.ActivationKey.checkProvisioning(ActivationKey.java:385)
        at com.redhat.rhn.domain.token.ActivationKey.setDeployConfigs(ActivationKey.java:179)
        at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.createKickstartActivationKey(KickstartScheduleCommand.java:907)
        at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.storeActivationKeyInfo(KickstartScheduleCommand.java:720)
        at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.store(KickstartScheduleCommand.java:585)
        at com.redhat.rhn.frontend.action.systems.virtualization.ProvisionVirtualizationWizardAction.runThird(ProvisionVirtualizationWizardAction.java:217)
        ... 48 more
Comment 2 Clifford Perry 2009-06-24 12:52:06 EDT
Caused by: com.redhat.rhn.common.security.PermissionException: The activation
key '1-09a19750436decd7aef16c4819091c13' needs  provisioning capabilities to be
able to facilitate  the config channel functionality


Sounds like we should be able to check for this, than traceback. 

Cliff
Comment 3 Partha Aji 2009-06-24 15:16:16 EDT
Should be fixed in the next ISO ..  WE just had the ordering set wrong.. as in we were setting deployconfig true and then adding provisioning instead of veice versa..

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=24dd150022d81e1e4c767f26cbff0120ce6db64c
Comment 4 Brad Buckingham 2009-06-30 16:12:09 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

Ran 2 tests... 

Test 1:
- create new ks profile w/o virt  (EL5)
- in KS->Profiles->profile->SystemDetails, set "Enable RHN Satellite
Configuration Management"
- then Systems->system->Provisioning->Schedule - schedule a kickstart
- rhn_check on system to perform the kickstart

Test 2:
- create new ks profile w/ virt (xen para virt guest) (EL5)
- in KS->Profiles->profile->SystemDetails, set "Enable RHN Satellite
Configuration Management"
- then Systems->system->Virtualization->Provision - schedule a kickstart
- rhn_check on system to perform the kickstart

The reported error did not occur during these kickstarts; therefore, moving to VERIFIED.
Comment 5 Preethi Thomas 2009-07-29 13:23:51 EDT
release pending on 7/24 build
sun-x4200-01.rhts.bos.redhat.com
Kicskstarted fjs-0-20 with Enable RHN config management option enabled.
Comment 6 Brandon Perkins 2009-09-10 15:26:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.